Jump to content
We've recently updated our Privacy Statement, available here. ×

Error message: Global and user services could not be initialized. when trying to connect to Spotfire Labs 10.8.0 R180250


James Laurenzano

Recommended Posts

Hi,

When I try to log into my Spotfire Labs server, i receive the following error:

Error message: Global and user services could not be initialized. The application will close.

BadImageFormatException at Spotfire.Dxp.Data:

Could not load file or assembly 'Syncfusion.XlsIO.Base, Version=11.104.0.42, Culture=neutral, PublicKeyToken=789861576bd64dc5' or one of its dependencies. The module was expected to contain an assembly manifest. (HRESULT: 80131018)

Stack Trace:

at Spotfire.Dxp.Data.DataServiceFactory.RegisterDataWriters(GlobalDataWriterRegistry globalDataWriterRegistry)

at Spotfire.Dxp.Data.DataServiceFactory.UseGlobalServices(GlobalServiceRegistry serviceProvider)

at Spotfire.Dxp.Framework.Services.ServiceFactory.UseGlobalServices(GlobalServiceRegistry serviceProvider)

at Spotfire.Dxp.Application.VisualsServiceFactory.UseGlobalServices(GlobalServiceRegistry serviceProvider)

at Spotfire.Dxp.Framework.Services.ServiceFactory.UseGlobalServices(GlobalServiceRegistry serviceProvider)

at Spotfire.Dxp.Framework.Services.ServiceFactory.UseGlobalServices(GlobalServiceRegistry serviceProvider)

at Spotfire.Dxp.Web.WebControlsServiceFactory.UseGlobalServices(GlobalServiceRegistry serviceProvider)

at Spotfire.Dxp.Framework.Services.ServiceFactory.UseGlobalServices(GlobalServiceRegistry serviceProvider)

at Spotfire.Dxp.Forms.FormsServiceFactory.UseGlobalServices(GlobalServiceRegistry serviceProvider)

at Spotfire.Dxp.Framework.Services.GlobalServiceRegistry.GlobalServicesCreated(IServiceFactory serviceFactory, AddInManager addinManager)

at Spotfire.Dxp.Main.Program.c__DisplayClass1_0.b__0()

 

Please advise. Thanks James Laurenzano

Link to comment
Share on other sites

FYI - I ran the installer for 10.6 as an administrator and did a repair.  It was successful.  Then I ran Spotfire also as an administrator and it prompted me to upgrade to 10.8.  But i said no and was able to connect to the labs server environment.  I'm hesitant to upgrade as I had a similar problem with 10.7.  Any thoughts from anyone
Link to comment
Share on other sites

Hi James,

You should not use your regular Analyst client with Spotfire Labs. Instead you should download a "Portable" and then have that download the packages that are needed.

Please try this:

1/ Log into the Spotfire Labs server in the browser.

2/ Goto the Library page

3/ Download a portable version of the Analyst client. You'll find it in the left panel, under Resources/Downloads.

4/ Login to the Spotfire Labs server using the downloaded Analyst client (you need to unzip it first).

5/ If you get prompted for unsiged packages, just click yes to continue (this is an issue in the current build).

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...